import { Component, EventEmitter, OnChanges, OnInit, Output } from '@angular/core';
import { Channel } from '../../../models/channel';
import { ChatService } from '../../../services/chat.service';

@Component({
  selector: 'app-channel-list',
  standalone: false,
  templateUrl: './channel-list.component.html',
  styleUrl: './channel-list.component.scss'
})
export class ChannelListComponent implements OnInit {
  @Output("select") selectEmitter: EventEmitter<Channel> = new EventEmitter<Channel>();

  public channels!: Channel[];
  public selectedChannel?: Channel;

  constructor(private chatService: ChatService) { }

  ngOnInit() {
    this.chatService.ListChannels()
      .subscribe(channels => {
        this.channels = channels;
        this.selectedChannel = this.channels[0];
      });
  }

  public Select(index: number): void {
    this.selectEmitter.emit(this.selectedChannel = this.channels[index]);
  }
}
