import { Component, Input, OnChanges, OnInit } from '@angular/core';
import { Message } from '../../../models/message';
import { ChatService } from '../../../services/chat.service';
import { UserService } from '../../../services/user.service';
import { Channel } from '../../../models/channel';

@Component({
  selector: 'app-feed',
  standalone: false,
  templateUrl: './feed.component.html',
  styleUrl: './feed.component.scss'
})
export class FeedComponent implements OnChanges {
  private readonly DEFAULT_CHANNEL_ID: number = 1;

  @Input('channel') public channel?: Channel;
  public messages!: Message[];

  constructor(private chatService: ChatService, private userService: UserService) { }

  ngOnChanges() {
    this.chatService.GetMessages(this.channel?.id ?? this.DEFAULT_CHANNEL_ID)
      .subscribe(messages => {
        this.messages = messages;
      });
  }
}
